package org.vishia.ZBNF.exampleParser;

/**It is an simple example to show which result the parser produces. */
class Simple
{

  /**Comment for both variables x,y.*/
  private int x,y;
  
  protected float f;
  
  /**Constructor
   * @param p any input.
   */
  public Simle(float p)
  { 
    this.f = p;  //A line-end-comment.
    /**An internal comment with /** */
    x=(int)p;
    /*An internal comment with /* */
    y=2*x;
  }
  
  /**Any method.
   * @param x input
   * @return The cummulation of x. 
   */
  int method(int x)
  { this.x +=x;
    return x;
  }
  
}